MAPSEMBLER2_KISSREADS(1)

NAME
mapsembler2_kissreads - Checks for each sequence contained into the toCheck.fasta if it is read coherent with reads from readsA.fasta or readsB.fasta

SYNOPSIS
mapsembler2_kissreads <toCheck.fasta> <readsC1.fasta> [<readsC2.fasta> [<readsC3.fasta] ...] [-k value] [-c value] [-d value] [-O value] [-o name] [-u name] [-n] [-I] [-i index_stride] [-m align_file] [-s] [-f] [-h]

DESCRIPTION
Checks for each sequence contained into the toCheck.fasta if it is read coherent (each position is covered by at least "min_coverage" read(s)) with reads from readsA.fasta or readsB.fasta A sequence s from toCheck is treated as follow:

    if (s coherent with at least one read set): output the sequence as follows

    >original fasta comment|C1:min<avg-corr_avg<max|C2:min<avg-cor_avg<max|C3...: >s

    With A:min<avg-cor_avg<max standing for : value of the position having minimal coverage in readsA.fasta < average coverage in readsA.fasta - R-squarred corrected average in readsA.fa < value of the position having maximal coverage in readsA.fasta The coverage is the number of reads that perfectly mapped a position Any other situation (s not coherent with any): couple non read coherent, not outputed

OPTIONS

-k size_seed: will use seeds of length size_seed. Default: 25.

-O minimal_read_overlap: a read can be mapped if its overlap is a least "minimal_read_overlap". Default: k

-c min_coverage: a sequence is covered by at least min_coverage coherent reads. Default: 2

-d max_substitutions: Maximal number of substitutions authorized between a read and a fragment. Note that no substitution is allowed on the central position while anaylizing the kissnp output. Default: 1.

-o file_name: write read-coherent outputs. Default: standard output

-u file_name: write unread-coherent outputs. Default: standard output

-n the input file (toCheck.fasta) is a kissnp output (incompatible with -I option)

    in this case: 1/ only the upper characters are considered (no mapping done on the extensions) and 2/ the central position (where the SNP occurs) is strictly mapped, no substitution is authorized on this position.

-I the input file (toCheck.fasta) is an Intl output (incompatible with -n option)

-i index_stride (int value). This is a heuristic for limiting the memory footprint. Instead of indexing each kmer of the sequences contained into the toCheck.fasta, kissreads indexes kmers occurring each "index_stride" position. Default = 1 (no heuristic)

-t max number of threads (also limited by number of input files)

-m align_file, write a file of reads mapped to sequences in file align_file

-s silent mode

-f outputs coherent events in a standard fasta file format

-h prints this message and exit

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.